Package com.independentsoft.office.spreadsheet.styles

# Enum Class HorizontalAlignment

java.lang.Object
java.lang.Enum<HorizontalAlignment>
com.independentsoft.office.spreadsheet.styles.HorizontalAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<HorizontalAlignment>`, `Constable`

public enum HorizontalAlignment extends Enum<HorizontalAlignment>
The Enum HorizontalAlignment.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  `CENTER_CONTINUOUS`
  `DISTRIBUTED`
  `FILL`
  `GENERAL`
  `JUSTIFY`
  `LEFT`
  `NONE`
  `RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HorizontalAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static HorizontalAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GENERAL

    public static final HorizontalAlignment GENERAL

  - ### LEFT

    public static final HorizontalAlignment LEFT

  - ### CENTER

    public static final HorizontalAlignment CENTER

  - ### RIGHT

    public static final HorizontalAlignment RIGHT

  - ### FILL

    public static final HorizontalAlignment FILL

  - ### JUSTIFY

    public static final HorizontalAlignment JUSTIFY

  - ### CENTER_CONTINUOUS

    public static final HorizontalAlignment CENTER_CONTINUOUS

  - ### DISTRIBUTED

    public static final HorizontalAlignment DISTRIBUTED

  - ### NONE

    public static final HorizontalAlignment NONE

- ## Method Details

  - ### values

    public static HorizontalAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HorizontalAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null